[arch-commits] Commit in autofs/repos/extra-i686 (5 files)

Eric Bélanger eric at archlinux.org
Mon Mar 16 20:52:16 UTC 2009


    Date: Monday, March 16, 2009 @ 16:52:16
  Author: eric
Revision: 30163

Fixed svn conflict

Modified:
  autofs/repos/extra-i686/PKGBUILD
  autofs/repos/extra-i686/auto.master
  autofs/repos/extra-i686/auto.misc
  autofs/repos/extra-i686/auto.net
  autofs/repos/extra-i686/autofs

-------------+
 PKGBUILD    |   53 +++++++++++++++++++++++++++++------------------------
 auto.master |    4 ++--
 auto.misc   |   10 +++++-----
 auto.net    |    2 +-
 autofs      |   18 ++++++++++++------
 5 files changed, 49 insertions(+), 38 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-03-16 19:38:39 UTC (rev 30162)
+++ PKGBUILD	2009-03-16 20:52:16 UTC (rev 30163)
@@ -1,13 +1,15 @@
 # $Id$
-# Maintainer: Dale Blount <dale at archlinux.org>
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Dale Blount <dale at archlinux.org>
 # Contributor: Manolis Tzanidakis
 
 pkgname=autofs
 pkgver=4.1.4
-pkgrel=4
+pkgrel=5
 pkgdesc="A kernel-based automounter for Linux."
-arch=(i686 x86_64)
-url="ftp://ftp.kernel.org/pub/linux/daemons/autofs"
+arch=('i686' 'x86_64')
+url="http://wiki.autofs.net/FrontPage"
+license=('GPL2')
 depends=('libldap')
 backup=(etc/autofs/auto.master etc/conf.d/autofs)
 source=($url/v4/${pkgname}-${pkgver}.tar.bz2
@@ -16,33 +18,36 @@
         auto.master
         auto.misc
         auto.net)
-md5sums=('7e3949114c00665b4636f0c318179657' '80b77182aa957646a2074433d3890518'\
-         'ddd69346754419faee15fc4c7edeb8b8' '0543a0d172eaec300e8d08708440dd4b'\
-         '0be409ef0cdf0255ce701ed4ba9e46b5' 'e4d945d63abc0488a47a5e2a750e8c3b')
+md5sums=('7e3949114c00665b4636f0c318179657'
+         '4eec0f479d5a85ca9ca515fd41937a4e'
+         'ddd69346754419faee15fc4c7edeb8b8'
+         '2fd068c5b84a3f408670fe23afd34759'
+         '6d84d7ea43cdf092c64956f8cf4977f9'
+         '74d102e637e53050ef095f1cbd9d461b')
 
 build() {
   export MAKEFLAGS="-j1"
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  /bin/sed -i "s:-O3 -fomit-frame-pointer -Wall:${CFLAGS}:" \
-      Makefile.rules
-  /bin/sed -i "s:SUBDIRS = lib daemon modules man samples:SUBDIRS = lib daemon modules man:" \
-      Makefile.rules
+
+  cd ${srcdir}/${pkgname}-${pkgver}
+  sed -i "s:-O3 -fomit-frame-pointer -Wall:${CFLAGS}:" \
+    Makefile.rules
+  sed -i "s:SUBDIRS = lib daemon modules man samples:SUBDIRS = lib daemon modules man:" \
+    Makefile.rules
   ./configure --prefix=/usr --sysconfdir=/etc/autofs
-  /usr/bin/make || return 1
-  /usr/bin/make INSTALLROOT=${startdir}/pkg install
+  make || return 1
+  make INSTALLROOT=${pkgdir} install
   
   local conf_file
   for conf_file in auto.{master,misc}; do
-    /bin/install -D -m 644 ${startdir}/$conf_file \
-        ${startdir}/pkg/etc/autofs/$conf_file
+    install -D -m 644 ${srcdir}/$conf_file \
+      ${pkgdir}/etc/autofs/$conf_file
   done
 
-  /bin/install -m 755 ${startdir}/auto.net \
-      ${startdir}/pkg/etc/autofs/auto.net
-  /bin/sed -i "s:/etc:/etc/autofs:g" \
-      ${startdir}/pkg/usr/man/man5/auto.master.5
-  /bin/install -D -m 755 ${startdir}/autofs ${startdir}/pkg/etc/rc.d/autofs
-  /bin/install -D -m 644 ${startdir}/autofs.conf.d \
-      ${startdir}/pkg/etc/conf.d/autofs
+  install -m 755 ${srcdir}/auto.net \
+    ${pkgdir}/etc/autofs/auto.net
+  sed -i "s:/etc:/etc/autofs:g" \
+    ${pkgdir}/usr/man/man5/auto.master.5
+  install -D -m 755 ${srcdir}/autofs ${pkgdir}/etc/rc.d/autofs
+  install -D -m 644 ${srcdir}/autofs.conf.d \
+    ${pkgdir}/etc/conf.d/autofs
 }
-# vim: ts=2 sw=2 et ft=sh

Modified: auto.master
===================================================================
--- auto.master	2009-03-16 19:38:39 UTC (rev 30162)
+++ auto.master	2009-03-16 20:52:16 UTC (rev 30163)
@@ -3,5 +3,5 @@
 # mountpoint map options
 # For details of the format look at autofs(5).
 
-/var/autofs/misc	/etc/autofs/auto.misc
-/var/autofs/net	  /etc/autofs/auto.net
+/var/autofs/misc        /etc/autofs/auto.misc
+/var/autofs/net         /etc/autofs/auto.net

Modified: auto.misc
===================================================================
--- auto.misc	2009-03-16 19:38:39 UTC (rev 30162)
+++ auto.misc	2009-03-16 20:52:16 UTC (rev 30163)
@@ -2,8 +2,8 @@
 # key [ -mount-options-separated-by-comma ] location
 # Details may be found in the autofs(5) manpage
 
-kernel		  -ro			        ftp.kernel.org:/pub/linux
-boot		    -fstype=ext2		              :/dev/hda1
-removable	  -fstype=ext2		              :/dev/hdd
-cd		      -fstype=iso9660,ro	          :/dev/hdc
-floppy		  -fstype=auto		              :/dev/fd0
+#kernel   -ro                                        ftp.kernel.org:/pub/linux
+#boot     -fstype=ext2                               :/dev/hda1
+usbstick  -fstype=auto,async,nodev,nosuid,umask=000  :/dev/sda1
+cdrom     -fstype=iso9660,ro                         :/dev/cdrom
+#floppy   -fstype=auto                               :/dev/fd0
\ No newline at end of file

Modified: auto.net
===================================================================
--- auto.net	2009-03-16 19:38:39 UTC (rev 30162)
+++ auto.net	2009-03-16 20:52:16 UTC (rev 30163)
@@ -21,7 +21,7 @@
 # Newer distributions get this right
 SHOWMOUNT="/usr/sbin/showmount --no-headers -e $key"
 
-$SHOWMOUNT | LC_ALL=C sort +0 | \
+$SHOWMOUNT | LC_ALL=C sort -k 1 | \
 	awk -v key="$key" -v opts="$opts" -- '
 	BEGIN		{ ORS=""; first=1 }
 			{ if (first) { print opts; first=0 }; print " \\\n\t" $1, key ":" $1 }

Modified: autofs
===================================================================
--- autofs	2009-03-16 19:38:39 UTC (rev 30162)
+++ autofs	2009-03-16 20:52:16 UTC (rev 30163)
@@ -277,23 +277,29 @@
   FS="="
   daemon_opts[ "timeout" ] = "timeout"
   daemon_opts[ "t" ] = "timeout"
+  daemon_opts[ "ghost" ] = "ghost"
+  daemon_opts[ "g" ] = "ghost"
 }
 {
   if ( $0 ~ /^$/ )
     next
   if ( $1 in daemon_opts ) {
     daemon[ daemon_opts[ $1 ] ] = $2
-    } else if ($1 ~ /^D.+/) {
-      defines[ $1 ] = $2
-    } else {
-  mount[NR] = $0
+  } else if ($1 ~ /^D.+/) {
+    defines[ $1 ] = $2
+  } else {
+    mount[NR] = $0
   }
 }
 END {
   if ( which ~ "^daemon$" ) {
-    if ( "timeout" in daemon ) {
-      printf "--timeout=%s\n", daemon["timeout"]
+    for ( parameter in daemon ) {
+      if ( daemon[ parameter ] ~ /^$/ )
+        printf "--%s ", parameter
+      else
+        printf "--%s=%s ", parameter, daemon[ parameter ]
     }
+    printf "\n"
   } else {
     for ( a in defines ) {
       printf "-%s=%s ", a, defines[a]




More information about the arch-commits mailing list